## hdf5 0.4

=== DESCRIPTION ===
Package: hdf5
Version: 0.4
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
