## hdf5 0.6

=== DESCRIPTION ===
Package: hdf5
Version: 0.6
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
