## hdf5 0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 0.7
+Version: 0.8
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org
