## hdf5 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.0
+Version: 1.1
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org
