## hdf5 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.1
+Version: 1.2
 Title: HDF5
 Author: Marcus G. Daniels mgd@swarm.org
 Maintainer: Marcus G. Daniels mgd@swarm.org
