=== debian/control ===
Source: hdf5
Section: devel
Priority: optional
Maintainer: Marcus G. Daniels <mgd@swarm.org>
Standards-Version: 3.0.0

Package: hdf5
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for HDF5

Package: hdf5-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: Developer support for HDF5
