## hdf5 1.4.7

=== DESCRIPTION ===
Package: hdf5
Version: 1.4.7
Title: HDF5
Author: Marcus G. Daniels mgd@swarm.org
Maintainer: Marcus G. Daniels <mgd@swarm.org>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
