## hdf5 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.5.7
+Version: 1.6.0
 Title: HDF5
 Author: Marcus G. Daniels mgd@santafe.edu
 Maintainer: Marcus G. Daniels <mgd@santafe.edu>
