## hdf5 1.6.3

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.3
Title: HDF5
Author: Marcus G. Daniels mgd@santafe.edu
Maintainer: Marcus G. Daniels <mgd@santafe.edu>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
