## hdf5 1.6.5

=== DESCRIPTION ===
Package: hdf5
Version: 1.6.5
Title: HDF5
Author: Marcus G. Daniels mdaniels@lanl.gov
Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>
Description: Interface to the NCSA HDF5 library
License: GPL Version 2 or later.
Packaged: Sat Apr 14 15:09:53 2007; hp
