## hdf5 1.6.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: hdf5
-Version: 1.6.5
+Version: 1.6.7
 Title: HDF5
 Author: Marcus G. Daniels mdaniels@lanl.gov
 Maintainer: Marcus G. Daniels <mdaniels@lanl.gov>
